Page MenuHomePhabricator

videojs source switcher sometimes breaks a/v sync in ogv.js
Closed, ResolvedPublic

Description

With ogv.js playback in Safari, using the videojs source switcher sometimes breaks a/v sync after the switch. Video plays back very fast while audio is silent for a while, then audio starts playing.

Upstream bug: https://github.com/brion/ogv.js/issues/396

Event Timeline

brion created this task.May 12 2016, 3:07 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 12 2016, 3:07 AM

Change 288345 had a related patch set uploaded (by Brion VIBBER):
[WIP] Update ogv.js to 1.1.1-alpha.0

https://gerrit.wikimedia.org/r/288345

Paladox added a subscriber: TheDJ.EditedMay 14 2016, 5:22 PM

@TheDJ would this https://github.com/videojs/video.js/pull/3314 have something that would fix this if so ive uploaded the patch here https://gerrit.wikimedia.org/r/#/c/288716/

TheDJ closed this task as Resolved.May 18 2016, 7:00 PM
TheDJ assigned this task to brion.
TheDJ edited projects, added TimedMediaHandler; removed Patch-For-Review.
TheDJ moved this task from Backlog to Done on the TimedMediaHandler board.

Change 288345 merged by jenkins-bot:
Update ogv.js to 1.1.1 release

https://gerrit.wikimedia.org/r/288345